# 出庫管理テーブル

| 管理No* |  品目ID* | 出庫日* | 社員ID |  事業部ID  | 出庫数* | 用途ID* | メモ | 
|-----------|------------|--------|--------|--------|--------|--------|--------|

- 主キー
  - 管理No
- 外部キー 
  - 品目ID：品目マスタ（品目ID）
  - 社員ID：社員マスタ（社員ID）
  - 事業部ID：事業部マスタ（事業部名）
  - 用途ID：用途マスタ（用途名）
- 新規登録時の自動補完
  - 管理No：連番（6桁）
- ソート順
  - 出庫日：降順
  - 品目ID：昇順
  - 社員ID：昇順
  - 事業部ID：昇順
  - 用途ID：昇順

# 入庫管理テーブル

| 管理No* |  品目ID* | 入庫日* | 社員ID  | 入庫数*  | メモ | 発注先ID |
|-----------|------------|--------|--------|--------|--------|-----------|
|000001|01|2021-09-29|0001|100||01|
|000002|02|2021-09-29|0001|100||01|
|000003|03|2021-09-29|0001|100||01|
|000004|04|2021-09-29|0001|100||01|
|000005|05|2021-09-29|0001|100||02|
|000006|06|2021-09-30|0002|100||02|
|000007|07|2021-09-30|0002|100||02|


- 主キー
  - 管理No
- 外部キー
  - 品目ID：品目マスタ（品目ID）
  - 社員ID：社員マスタ（社員ID）
  - 発注先ID：発注先マスタ（発注先ID）
- 新規登録時の自動補完
  - 管理No：連番（6桁）
- ソート順
  - 入庫日：降順
  - 品目ID：昇順
  - 発注先ID：昇順
  - 社員ID：昇順

# 品目マスタ

| 品目ID* | 品目名 |在庫数 | 最低数 |
|----------|---------|---------|--------|
| 01 | クリップ |100 |50|
| 02 | 輪ゴム |100 |50|
| 03 | ボールペン |100 |50|
| 04 | ノート |100 |50|
| 05 | のり |100 |50|
| 06 | 付箋 |100 |50|
| 07 | インク |100 |50|

- 主キー
  - 品目ID
- 表示項目
  - 品目ID
  - 品目名

# 社員マスタ

| 社員ID* | 社員名 |
|-------|-------|
| 0001 | サンプル太郎 | 
| 0002 | サンプル花子 | 
| 0003 | サンプル武志 | 
| 0004 | サンプル正子 | 

- 主キー
  - 社員ID
- 表示項目
  - 社員ID
  - 社員名

# 事業部マスタ

| 事業部ID* | 事業部名 |
|--------|-------|
| 001 | 総務部 |
| 002 | 経理部 |
| 003 | 開発部 |
| 004 | 営業部 |

- 主キー
  - 事業部ID
- 表示項目
  - 事業部ID
  - 事業部名


# 用途マスタ

| 用途ID* | 用途名 |
|--------|-------|
| 01 | イベント |
| 02 | 営業 |
| 03 | 資料請求・製品付属 |
| 04 | 社内使用 |
| 05 | 共有への補充 |
| 06 | その他 |

- 主キー
  - 用途ID
- 表示項目
  - 用途ID
  - 用途名

# 発注先マスタ

| 発注先ID* | 発注先名 | 
|--------|-------|
|01|企業A|
|02|企業B|

- 主キー
  - 発注先ID
- 表示項目
  - 発注先ID
  - 発注先名
