from ultra.models import hinmoku_masuta # 「品目マスタ」モデルをインポート
from ultra.models import shukko_kanri_teburu
from django.shortcuts import redirect


def post_response(self, request, response, *args, **kwargs):
    if 'touroku' in request.POST:
        # エラーがある場合、処理を抜ける
        if hasattr(response, 'context_data'):
            return response
        
    if request.method == 'POST': # 登録ボタンが押された時の処理

        #SQLのWhere句で使用したい 画面項目「品目ID」の取得
        hinmoku_ID = request.POST['hinmoku_ID']
        hinmoku_ID = str(hinmoku_ID).zfill(2)

        params = [hinmoku_ID]

        #SQLで在庫数を取得
        sql = '''
                select
                    utjs.id
                    ,utjs.zaiko_suu as zaikosu
                from
                    ultra_hinmoku_masuta as utjs
                where
                    hinmoku_ID = %s
           '''

        # SQLを実行
        kekka = hinmoku_masuta.objects.raw(sql,params)

        #SQL実行結果から在庫数のみを抜き出す
        zaiko_suu = kekka[0].zaiko_suu
#---------------------------------------------------------------------------------------------------------------------------------
        # 画面項目(非表示)元々登録していた「出庫数」の取得
        zenkai_shukkosuu = request.POST['zenkai_shukkosuu']
#---------------------------------------------------------------------------------------------------------------------------------
        # 画面項目今回登録する「入庫数」の取得
        konkai_shukko_suu = request.POST['shukko_suu']
#---------------------------------------------------------------------------------------------------------------------------------
        #更新する在庫数＝現在の在庫数＋（元々登録されていた出庫数）ー（今回登録する出庫数）
        if not zenkai_shukkosuu or not konkai_shukko_suu:
            	return response
        kousinn_zaikosuu = zaiko_suu + int(zenkai_shukkosuu)- int(konkai_shukko_suu)

        # 対象のデータを絞り込み（モデルの品目ID＝画面で取得した品目ID）
        ultra_hinmoku_masuta = hinmoku_masuta.objects.filter(hinmoku_ID = hinmoku_ID)
       
        # 絞り込んだデータの値をupdateメソッドを使用し、モデルの在庫数にセットし更新
        ultra_hinmoku_masuta.update(
            zaiko_suu = kousinn_zaikosuu,
        )
    return response