from ultra.models import hinmoku_masuta # 「品目マスタ」モデルをインポート
from django.shortcuts import redirect


def post_response(self, request, response, *args, **kwargs):
    if 'touroku' in request.POST:
        # エラーがある場合、処理を抜ける
        if hasattr(response, 'context_data'):
            return response
        
    if request.method == 'POST': # 登録ボタンが押された時の処理

        #SQLのWhere句で使用したい 画面項目「品目ID」の取得
        hinmoku_ID = request.POST['hinmoku_ID']
        hinmoku_ID = str(hinmoku_ID).zfill(2)

        params = [hinmoku_ID]

        #SQLで在庫数を取得
        sql = '''
                select
                    utjs.id
                    ,utjs.zaiko_suu as zaikosuu
                from
                    ultra_hinmoku_masuta as utjs
                where
                    hinmoku_ID = %s
           '''

        # SQLを実行
        kekka = hinmoku_masuta.objects.raw(sql,params)


        #SQL実行結果から在庫数のみを抜き出す
        zaiko_suu = kekka[0].zaikosuu

        # 画面項目「出庫数」の取得
        shukko_suu = request.POST['shukko_suu']

        #更新する在庫数＝現在の在庫数ー出庫数
        kousinn_zaikosuu = zaiko_suu - int(shukko_suu)

        # 対象のデータを絞り込み（モデルの品目ID＝画面で取得した品目ID）
        ultra_hinmoku_masuta = hinmoku_masuta.objects.filter(hinmoku_ID = hinmoku_ID)
       
        # 絞り込んだデータの値をupdateメソッドを使用し、モデルの在庫数にセットし更新
        ultra_hinmoku_masuta.update(
            zaiko_suu = kousinn_zaikosuu,
        )
    return response