from django.contrib import messages
from django.core.exceptions import ValidationError
# 登録対象の「出庫管理テーブル」モデルをインポート
from ultra.models import shukko_kanri_teburu 
# 在庫数取得対象の「品目マスタ」モデルをインポート
from ultra.models import hinmoku_masuta

def test(self, form):
    params = []
    errflg = 0

    # 画面項目「品目ID」の取得
    hinmoku_ID = form.cleaned_data['hinmoku_ID']

    params2 = [hinmoku_ID.hinmoku_ID]

    #SQLで在庫数を取得
    sql = '''
            select
                utjs.id
                ,utjs.zaiko_suu as zaikosuu
            from
                ultra_hinmoku_masuta as utjs
			where
				hinmoku_ID = %s
       '''

    #SQL実行、結果を格納
    kekka = hinmoku_masuta.objects.raw(sql,params2)

    #SQL実行結果から在庫数のみを抜き出す
    zaiko_suu = kekka[0].zaikosuu

    # 画面項目「出庫数」の取得
    shukko_suu = form.cleaned_data['shukko_suu']

    # 出庫数が在庫数を上回っていたらエラー表示
    if zaiko_suu < shukko_suu:

        form.add_error(
            'shukko_suu',
            f'在庫数を上回っています。',
        )
        errflg = 1

    #登録実行可否
    if errflg == 0:
        return True
    else:
        return False